<ToolboxBitmap(GetType(ColoredRadioButton), "color_btn_tool.bmp")> _
Public Class ColoredRadioButton
    Inherits RadioButton

    Private m_CheckedColor As Color
    Public Property CheckedColor() As Color
        Get
            Return m_CheckedColor
        End Get
        Set(ByVal Value As Color)
            m_CheckedColor = Value
            SetColor()
        End Set
    End Property

    Private m_UncheckedColor As Color
    Public Property UncheckedColor() As Color
        Get
            Return m_UncheckedColor
        End Get
        Set(ByVal Value As Color)
            m_UncheckedColor = Value
            SetColor()
        End Set
    End Property

    Private Sub ColoredRadioButton_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.CheckedChanged
        SetColor()
    End Sub

    Private Sub SetColor()
        If Me.Checked Then
            Me.ForeColor = m_CheckedColor
        Else
            Me.ForeColor = m_UncheckedColor
        End If
    End Sub
End Class
